Subject: bug#44531: 27.1; Emacs 27 fails to build from source on m68k (regression)

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Aug 2022 17:38:25 -0400

>>    [...]
>>    DUMP_RELOC_ALIGNMENT_BITS = 2,
>>
>>    /* Minimum alignment required by dump file format.  */
>>    DUMP_RELOCATION_ALIGNMENT = 1 << DUMP_RELOC_ALIGNMENT_BITS,
>>    [...]
>>
>> I can't see anything in the code which explains what this alignment
>> requirement is about.  You can try lowering DUMP_RELOC_ALIGNMENT_BITS
>> to 1 and see if that works (long shot).
>
> IIUC, the top (DUMP_RELOC_TYPE_BITS - DUMP_RELOC_ALIGNMENT_BITS) of
> the relocation offsets stored by pdumper must be 0. That means we can
> only address the first 512 MB of the dump in ordinary 32-bit pdumper
> builds, and 256 MB on m68k with your fix. I'm not sure how useful a
> data point this is without real silicon, but I tried on an m68k
> emulator (qemu), could reproduce the bug, and your fix works there.

Any hope you can turn that into a patch?
Maybe with something like `#ifdef (__m68k__)`?

        Stefan